function [outputI,vals] = floodFillSuperpixels(scene_data,image_data,func,channels)
if ~exist('channels','var')
    channels = 1;
end
outputI = zeros([size(image_data.segs) length(channels)]);
nsegs = scene_data.nsegs;
vals = zeros(nsegs,length(channels));

for c=1:length(channels)
    for i=1:nsegs
        vals(i,c) = func(scene_data,image_data,i,c);
    end

    for i=1:nsegs
        outputI(image_data.image_inds.idx{i} + (c-1)*numel(image_data.segs)) = vals(i,c);
    end
end