opts = get_default_opts();

% should use train or test
opts.NYU_gen.delta_raw = 0.02;

% keypoint parameters
kp_params = [];
kp_params.min_sep = 0.03;
kp_params.reg = 0.05;
kp_params.pixel_neighbors = 0;
kp_params.r = 3;
kp_params.use_multiscale = false;

kp_params.use_random = true;
kp_params.num_pairs = 1000;

opts.NYU_gen.kp_params = kp_params;
opts.NYU_gen.OUT_DIR = 'NYU/nyu_annotations_simple_rand/';
opts.NYU_gen.use_second_order_neighbors = false;

opts.viz = true;

generate_nyu_annotations_simple(opts);