function [preds,f] = infer_ordinal_relations_ROI_fast(I,points,comps,opts)
    [P1,P2,BB,M] = extract_patches_roi_from_comps(I,points,comps,opts);
    II = imresize(I,[opts.params_ROI.I_size opts.params_ROI.I_size]);
    
    opts_I = opts;
    opts_I.DNN.model_def_file = opts.DNN.model_def_file_I;
    opts_I.DNN.which_layer = opts.DNN.which_layer_I;
    opts_I.DNN.Nbatch = 1;
    fI = compute_DNN_features_generic({II},opts_I);
    fI = single(repmat(fI,[1 1 1 size(M,4)]));
    
    f = compute_DNN_features_generic({fI,P1,P2,BB,M},opts);	
    [~,preds] = max(f,[],1); preds = preds-1;
end