

M = [240,320];

%% selected images

img_list = dirrec('~/Dropbox (MIT)/data/images_for_eigen/','');

for i=1:length(img_list)
    
    try
        img = imread(img_list{i});
        
        img = imresizecrop(img,M,'bilinear');
        
        imwrite(img,sprintf('~/Dropbox (MIT)/data/images_for_eigen/resized/%d.png',i));
    catch
        continue;
    end
end


%% KITTI

img_list = dirrec(fullfile(DATA_DIR,'KITTI','training','colored_0'),'.png');
images = [];
n = 1;
for i=1:length(img_list)
    if (img_list{i}(end-4)=='0')
        n
        images{n} = imread(img_list{i});
        n = n+1;
    end
end

for i=1:length(images)
    
    img = imresizecrop(images{i},M,'bilinear');

    imwrite(img,sprintf('~/Dropbox (MIT)/data/images_for_eigen/resized/KITTI/%d.png',i));
end


%% Make3D

img_list = dirrec(fullfile(DATA_DIR,'Make3D','Test134'),'.jpg');

for i=1:length(img_list)
    
    img = imread(img_list{i});
    
    img = imresizecrop(img,M,'bilinear');

    imwrite(img,sprintf('~/Dropbox (MIT)/data/images_for_eigen/resized/Make3D/%d.png',i));
end
