function convert_to_hdf5(A,FIELD_NAME,DATASET,DB_NAME)

    globals;
    DB_DATA_DIR = fullfile(DATA_DIR,DATASET,DB_NAME);

    if (~exist(DB_DATA_DIR,'dir')) 
        mkdir(DB_DATA_DIR); 
    end 

    DB_DATA_DIR = expand_full_path(DB_DATA_DIR);

    file_name = fullfile(DB_DATA_DIR,[FIELD_NAME '.h5']);
    if ndims(A)==4
        A = prepare_DNN_input_generic({A}); A=A{1};
    end
    
    if ~exist(file_name,'file')
        h5create(file_name,['/data_' FIELD_NAME],size(A),'Datatype','single'); 
    end

    h5write(file_name,['/data_' FIELD_NAME],A); 

    fid = fopen(fullfile(DB_DATA_DIR,[FIELD_NAME '.txt']),'w'); fprintf(fid,file_name); fclose(fid); 

