function show_annotations(I,points,comps,relation_field,score_field)
if ~exist('relation_field','var')
    relation_field = 'darker';
end
if ~exist('score_field','var')
    score_field = 'darker_score';
end


showim(I); hold on;
for p=1:length(points)
    points(p).i = ceil(points(p).y*size(I,1));
    points(p).j = ceil(points(p).x*size(I,2));
    
    color = 'w';
    if ~points(p).opaque
        color = 'b';
    end
    
    plot(points(p).j,points(p).i,[color ,'O']);
end
hold off


for t=1:length(comps)
    c = comps(t); 
    p1 = points([points.id]==c.point1);
    p2 = points([points.id]==c.point2);
   
    weight = c.(score_field);
    
    if weight<=0 || isempty(weight)
        continue
    end
    
    if ~p1.opaque || ~p2.opaque
        continue
    end
    
    if c.(relation_field)=='E'
        line([p1.j; p2.j],[p1.i,p2.i],'Color',[weight weight weight]);
    elseif c.(relation_field)=='1'
        line([p1.j; p2.j],[p1.i,p2.i],'Color',[weight 0 0]);
    elseif c.(relation_field)=='2'
        line([p1.j; p2.j],[p1.i,p2.i],'Color',[0 weight 0]);
        
%         pos = get(f,'Position');
%         annotation('arrow',pos(1)+pos(3)*[p1.x; p2.x],pos(2)+pos(4)*[p1.y,p2.y],'Color',[1 0 0]);
    else
%         annotation('arrow',[p2.x; p1.x],[p2.y,p1.y],'Color',[1 0 0]);
    end
    
end
