function [] = plot_psychophysics_test(stim,data_eq,data_ie1,data_ie2)
    %% styling
    c_eq = [0.5,0.5,0.5];
    c_ie1 = [0.9,0.4,0.1];
    c_ie2 = [0,0.4,1];
    
    close all;
    %figure(2); clf;
    figure('Color',[1,1,1],'units','normalized','position',[0.5 0.5 .4 .17]);
    
    subplot_tight(2, 1, 1, [0.01, 0.05]); imshow(stim); %title('Grayscale Retinex (reflectance)');
    subplot_tight(2, 1, 2, [0.02, 0.05]); hold on;
    plot(data_eq, '.-', 'Color', c_eq, 'LineWidth', 2, 'MarkerSize', 20); 
    plot(data_ie1, '.-', 'Color', c_ie1, 'LineWidth', 2', 'MarkerSize', 20); 
    plot(data_ie2, '.-k', 'Color', c_ie2, 'LineWidth', 2', 'MarkerSize', 20); 
    axis tight; set(gca, 'XTick', []); axis([1 length(data_eq) 0 1]);
    set(gca,'xlim',[0.5,length(data_eq)+0.5]);

    daspect([100,100,1]);
end